## org.eclipse.emf.ecore
Interface EEnumLiteral

All Superinterfaces:
  EModelElement, ENamedElement, Enumerator, EObject, Notifier

All Known Implementing Classes:
  EEnumLiteralImpl

    public interface EEnumLiteral

extends ENamedElement, Enumerator

A representation of the model object 'EEnum Literal'.

See Also:
  `EcorePackage.getEEnumLiteral()`

Method Summary
`EEnum` `getEEnum()` Returns the value of the 'EEnum' container reference.
`Enumerator` `getInstance()` Returns the value of the 'Instance' attribute
`java.lang.String` `getLiteral()` Returns the value of the 'Literal' attribute
`int` `getValue()` Returns the value of the 'Value' attribute
`void` `setInstance(Enumerator value)` Sets the value of the '`Instance`' attribute
`void` `setLiteral(java.lang.String value)` Sets the value of the '`Literal`' attribute
`void` `setValue(int value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.common.util.Enumerator
`getName`

Method Detail

### getValue

    int getValue()

  Returns the value of the 'Value' attribute.

  It represents the `int` value of an enumerator.

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(int)`, `EcorePackage.getEEnumLiteral_Value()`

### setValue

    void setValue(int value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getInstance

    Enumerator getInstance()

  Returns the value of the 'Instance' attribute.

  It represents the actual Java instance value.

  Returns:
    the value of the 'Instance' attribute.
  See Also:
    `setInstance(Enumerator)`, `EcorePackage.getEEnumLiteral_Instance()`

### setInstance

    void setInstance(Enumerator value)

  Sets the value of the '`Instance`' attribute.

  Parameters:
    `value` - the new value of the 'Instance' attribute.
  See Also:
    `getInstance()`

### getLiteral

    java.lang.String getLiteral()

  Returns the value of the 'Literal' attribute.

  This is the literal, string value that represents this enumerator value. This is used in persisting instances of enumerated type. If set to `null`, it will return the `name`, instead.``

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the value of the 'Literal' attribute.
  See Also:
    `setLiteral(String)`, `EcorePackage.getEEnumLiteral_Literal()`

### setLiteral

    void setLiteral(java.lang.String value)

  Sets the value of the '`Literal`' attribute.

  Parameters:
    `value` - the new value of the 'Literal' attribute.
  See Also:
    `getLiteral()`

### getEEnum

    EEnum getEEnum()

  Returns the value of the 'EEnum' container reference. It is bidirectional and its opposite is '`ELiterals`'.

  It represents the contain enumeration.

  Returns:
    the value of the 'EEnum' container reference.
  See Also:
    `EcorePackage.getEEnumLiteral_EEnum()`, `EEnum.getELiterals()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.